%global realname js
%global git_tag 5350ed2


Name:		erlang-%{realname}
Version:	0.5.0
Release:	2%{?dist}
Summary:	A Friendly Erlang to Javascript Binding
Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/basho/erlang_js
# wget --no-check-certificate https://github.com/basho/erlang_js/tarball/erlang_js-0.5.0
Source0:	basho-erlang_%{realname}-erlang_%{realname}-%{version}-0-g%{git_tag}.tar.gz
Patch1:		erlang-js-0001-Fix-building-of-linked-in-driver.patch
Patch2:		erlang-js-0002-Build-with-js-1.7.0.patch
Patch3:		erlang-js-0003-Don-t-require-make-all-for-make-test.patch
Patch4:		erlang-js-0004-Include-eunit-headers-only-when-necessary.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-eunit
BuildRequires:	erlang-sasl
BuildRequires:	erlang-xmerl
BuildRequires:	js-devel
Requires:	erlang-erts >= R12B-5
Requires:	erlang-kernel >= R12B-5
Requires:	erlang-mochiweb
Requires:	erlang-sasl
Requires:	erlang-stdlib >= R12B-5
Requires:	erlang-xmerl


%description
A Friendly Erlang to Javascript Binding.


%prep
%setup -q -n basho-erlang_%{realname}-%{git_tag}
%patch1 -p1 -b .bundled_libs
%patch2 -p1 -b .building_with_js_1_7_0
%patch3	-p1 -b .dont_require_make_all
%patch4 -p1 -b .dont_require_eunit


%build
cd c_src && CFLAGS="%{optflags} -fPIC" make %{?_smp_mflags} && mv erlang_js_drv.so ../priv && cd -
erlc -o ebin +debug_info src/*.erl


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv
install -m 644 ebin/erlang_%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 priv/json2.js $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv
install -m 755 priv/erlang_js_drv.so $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%clean
rm -rf $RPM_BUILD_ROOT


%check
make %{?_smp_mflags} test


%files
%defattr(-,root,root,-)
%doc LICENSE README
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/erlang_%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/erlang_%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/erlang_%{realname}_sup.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/json2.js
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/erlang_js_drv.so


%changelog
* Fri Jan 28 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.0-2
- Drop unneeded runtime dependency on eunit

* Wed Jan  5 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.0-1
- Ver. 0.5.0

* Fri Sep 10 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.4-1
- Initial build

